cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC Creator & Designer Software

invisyguard
New Contributor

I have downloaded creator 4.4 on 2 computers and both have same error wont compile no matter whats in the project incuding nothing.

1 comput erwindows 10 64 bot the other computer windows 7 32 bit

unsing Psoc6 63 dev kit 

0 Likes
1 Solution
Len_CONSULTRON
Honored Contributor II

Dom,

The PDL is the Peripheral Device Library.  It is used by the PSoC6 projects.

It appears something is wrong with the path declaration for the PDL.

Please follow these steps:

  • Select the menu "Tools/Options..."
    Len_CONSULTRON_0-1622973490248.png

     

  • Include a screenshot of the "Options" window that pops up.  (See example below.) 
    Len_CONSULTRON_1-1622973587493.png

The PDL v3 line is the one we are trying to diagnose/fix.

Len
"Engineering is an Art. The Art of Compromise."

View solution in original post

0 Likes
6 Replies
Len_CONSULTRON
Honored Contributor II

invisyguard,

It appears that the error is that the PDL path is invalid.  When you installed 4.4, did it complain that it couldn't install certain items?

Can you share your project?  This might help to locate the problem.

Len
"Engineering is an Art. The Art of Compromise."
0 Likes
invisyguard
New Contributor

Hi Len

I dont know what PDl path is

The installations did not give any error when installing they just asked normal install and I ticked yes.

The project does not matter it has same errors.

Projects tried 

PSCO6 101 lesssion 2

Preloaded program may selected

Clear program as example listed with only the PSCO6 63 part selected

Thanks

Dom

 

0 Likes
Len_CONSULTRON
Honored Contributor II

Dom,

The PDL is the Peripheral Device Library.  It is used by the PSoC6 projects.

It appears something is wrong with the path declaration for the PDL.

Please follow these steps:

  • Select the menu "Tools/Options..."
    Len_CONSULTRON_0-1622973490248.png

     

  • Include a screenshot of the "Options" window that pops up.  (See example below.) 
    Len_CONSULTRON_1-1622973587493.png

The PDL v3 line is the one we are trying to diagnose/fix.

Len
"Engineering is an Art. The Art of Compromise."

View solution in original post

0 Likes
invisyguard
New Contributor

Hi Len

Thank you works now but my PLD is 3.13, do you have a beta version as I downloaed the lastest version from cypress?

0 Likes
Len_CONSULTRON
Honored Contributor II

Dom,

I found 3.14 using "Cypress Update Manager".

Len_CONSULTRON_1-1623066551230.png

 

Len
"Engineering is an Art. The Art of Compromise."
0 Likes
DheerajK_81
Moderator
Moderator

Hello @invisyguard ,

You can download the latest PDL 3.1.4 version from here as well manually if required: https://www.cypress.com/design-guides/peripheral-driver-library-pdl-psoc-creator

Regards,
Dheeraj 

0 Likes